Create LookupTableRevision
Create a new Revision for a Lookup Table.
Fields and Keys for Revision schema: Use the fields parameter to define a Revision schema containing up to 10 number or string fields. Use the keys parameter to specify which are the key fields:
- At least one field must be a non-key field and at least one a key field.
- Up to 5 key fields can be defined.
- Using multiple key fields: ensure that the order in which they are defined matches the order in which you want to use them in any Lookup functions that reference the Revision’s Lookup Table, because this is the order in which they will be passed into the function. The order of non-key fields is not constrained in this way.
Revision status: when you first create a Lookup Table Revision it has DRAFT status. Use the Update LookupTableRevision Status call to change a Revision’s status.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the Organization. The Organization represents your company as a direct customer of the m3ter service.
UUID of the Lookup Table the Revision will be created for.
Body
Request containing a LookupTableRevision entity
Descriptive name for the Lookup Table Revision.
1 - 200The list of fields of the Lookup Table Revision.
2 - 10 elementsThe ordered keys of the Lookup Table Revision.
1 - 5 elements["foo", "bar"]The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level, customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The start date of the Lookup Table Revision.
Response
Returns the created Lookup Table Revision
Response containing a LookupTableRevision entity
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level,customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The name of the Lookup Table Revision.
DRAFT, PUBLISHED, ARCHIVED The start date of the Lookup Table Revision
The list of fields of the Lookup Table Revision.
The ordered keys of the Lookup Table Revision
The DateTime when the Lookup Table Revision was created.
The DateTime when the Lookup Table Revision was last modified.
The id of the user who created the Lookup Table Revision.
The id of the user who last modified the Lookup Table Revision.
The lookup table id associated with this revision